com.r3corda.core.utilities / NonEmptySetSerializer

# NonEmptySetSerializer

`object NonEmptySetSerializer`

Custom serializer which understands it has to read in an item before trying to construct the set.

### Functions

read | `fun read(kryo: <ERROR CLASS>, input: <ERROR CLASS>, type: Class<NonEmptySet<Any>>): NonEmptySet<Any>`
write | `fun write(kryo: <ERROR CLASS>, output: <ERROR CLASS>, obj: NonEmptySet<Any>): Unit`